/***************************************
 * Steven Stanek
 * July 5, 2001
 * YZRescuerFileReader.c
 ***************************************/
 
#include <stdio.h>
#include "YZRescuerFileReader.h"

#if macintosh
	#undef feof
#endif

file_data_t *readRescuerFile(char *fn)
{
	file_data_t *dFDat;
	FILE * infile;
	
	dFDat = malloc(sizeof(file_data_t));
	infile = fopen(fn, "r");
	
	if(!dFDat || !infile)
		return 0;
	
	dFDat->backgroundImage = openImageFile(infile);
	dFDat->chopperImage = openImageFile(infile);
	dFDat->sharkImage = openImageFile(infile);
	dFDat->boatImage = openImageFile(infile);
	
	fclose(infile);
	
	return dFDat;
}


void fastDrawAll(file_data_t *dFDAT)
{
	enableFastDraw(dFDAT->backgroundImage);
	enableFastDraw(dFDAT->chopperImage);
	enableFastDraw(dFDAT->sharkImage);
	enableFastDraw(dFDAT->boatImage);
}


void emptyFileData(file_data_t *dFDAT)
{
	destroyImage(dFDAT->backgroundImage);
	destroyImage(dFDAT->chopperImage);
	destroyImage(dFDAT->sharkImage);
	destroyImage(dFDAT->boatImage);
	free(dFDAT);
}